<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Equipo</title>
    </h:head>
    <h:body>
        <ui:include src="menutab.xhtml" />
        <p:fieldset>
            <h:form id="datos">
                <h:panelGrid columns="3">
                    <p:outputLabel value="SELECCIONE PAIS"/>
                    <p:selectOneMenu value="#{equipoController.pais.idpais}">
                        <f:selectItems value="#{paisController.lista}" var="lp" itemValue="#{lp.idpais}" itemLabel="#{lp.pais}"/>
                    </p:selectOneMenu>
                    <p:commandButton value="Añadir pais" oncomplete="PF('pais').show();"/>
                    <p:commandButton disabled="#{!equipoController.boton}"  value="REGISTRAR" actionListener="#{equipoController.insertar()}" update=":tabla,datos"/>
                    <p:commandButton disabled="#{equipoController.boton}" value="Actualizar" actionListener="#{equipoController.editar()}" update=":tabla,datos"/>
                </h:panelGrid>
            </h:form>
        </p:fieldset>
        <p:dialog widgetVar="pais" id="dialogpais" header="Añadir Pais" modal="true">
            <p:fieldset>
                <h:form id="formPais">
                    <h:panelGrid columns="2">
                        <p:outputLabel value="Nombre del pais"/>
                        <p:inputText value="#{paisController.pais.pais}"/>
                        <p:commandButton  rendered="#{paisController.pais.pais==null}" value="Guardar" actionListener="#{paisController.insertar()}" update=":listaPaises,formPais,:datos"/>
                        <p:commandButton rendered="#{paisController.pais.pais!=null}" value="Actualizar" actionListener="#{paisController.actualizar()}" update=":listaPaises,formPais,:datos"/>
                    </h:panelGrid>
                </h:form>
            </p:fieldset>
            <br/>
            <p:fieldset legend="Lista de Paises">
                <h:form id="listaPaises">
                    <p:dataTable value="#{paisController.lista}" var="paises" rows="5" paginator="true">
                        <p:column headerText="Id" width="80">
                            <p:outputLabel value="#{paises.idpais}"/>
                        </p:column>
                        <p:column headerText="Pais" width="200">
                            <p:outputLabel value="#{paises.pais}"/>
                        </p:column>
                        <p:column headerText="Acciones" width="250">
                            <p:commandButton value="Eliminar"  actionListener="#{paisController.eliminar(paises)}" update="listaPaises,:datos"/>
                            <p:commandButton value="Actualizar"  actionListener="#{paisController.consultarById(paises)}" update=":formPais,:datos"/>
                        </p:column>
                    </p:dataTable>
                </h:form>
            </p:fieldset>
        </p:dialog>
        <br></br>
        <p:fieldset legend="EQUIPOS REGISTRADOS">
            <h:form id="tabla">
                <p:dataTable value="#{equipoController.lista}" var="equipos" paginator="true" rows="5">
                    <p:column headerText="Equipo">
                        <p:outputLabel value="#{equipos.idequipo}"/>
                    </p:column>                   
                    <p:column headerText="PAIS">
                        <p:outputLabel value="#{equipos.pais.pais}"/>
                    </p:column>
                    <p:column headerText="ACCIONES">
                        <p:commandButton value="EDITAR" actionListener="#{equipoController.consultarById(equipos)}" update=":datos"/>
                        <p:commandButton value="ELIMINAR" actionListener="#{equipoController.eliminar(equipos)}" update=":tabla"/>
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

